Lists.SetterByIndex (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class Lists.SetterByIndex

- java.lang.Object
- - org.apache.cassandra.cql3.Operation
  - - org.apache.cassandra.cql3.Lists.SetterByIndex

- Enclosing class:
    Lists

      public static class Lists.SetterByIndex
      extends Operation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.Operation

      `Operation.Addition, Operation.ColumnDeletion, Operation.ElementAddition, Operation.ElementDeletion, Operation.ElementSubtraction, Operation.FieldDeletion, Operation.Prepend, Operation.RawDeletion, Operation.RawUpdate, Operation.SetElement, Operation.SetField, Operation.SetValue, Operation.Substraction`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cassandra.cql3.Operation

      `column, t`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetterByIndex(ColumnDefinition column, Term idx, Term t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `collectMarkerSpecification(VariableSpecifications boundNames)` Collects the column specification for the bind variables of this operation.
    `void` | `execute(DecoratedKey partitionKey, UpdateParameters params)` Execute the operation.
    `boolean` | `requiresRead()`

    - ### Methods inherited from class org.apache.cassandra.cql3.Operation

      `addFunctionsTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetterByIndex

          public SetterByIndex(ColumnDefinition column,
                               Term idx,
                               Term t)

  - ### Method Detail

    - #### requiresRead

          public boolean requiresRead()

      Overrides:
        `requiresRead` in class `Operation`
      Returns:
        whether the operation requires a read of the previous value to be executed (only lists setterByIdx, discard and discardByIdx requires that).

    - #### collectMarkerSpecification

          public void collectMarkerSpecification(VariableSpecifications boundNames)

      Description copied from class: `Operation`
      Collects the column specification for the bind variables of this operation.
      Overrides:
        `collectMarkerSpecification` in class `Operation`
      Parameters:
        `boundNames` - the list of column specification where to collect the bind variables of this term in.

    - #### execute

          public void execute(DecoratedKey partitionKey,
                              UpdateParameters params)
                       throws InvalidRequestException

      Description copied from class: `Operation`
      Execute the operation.
      Specified by:
        `execute` in class `Operation`
      Parameters:
        `partitionKey` - partition key for the update.
        `params` - parameters of the update.
      Throws:
        `InvalidRequestException`

Copyright © 2018 The Apache Software Foundation